%define api_version 1.0
%define pkg_name geronimo-j2ee-management_%{api_version}_spec

Name:          geronimo-j2ee-management-1.0-api
Version:       1.1
Release:       %mkrel 4
Summary:       J2EE Management 1.0 API
Group:         Development/Java
License:       ASL
URL:           http://geronimo.apache.org/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-j2ee-management_1.0_spec-1.1
# tar czf geronimo-j2ee-management_1.0_spec-1.1-src-svn.tar.gz geronimo-j2ee-management_1.0_spec-1.1
Source0:       geronimo-j2ee-management_1.0_spec-1.1-src-svn.tar.gz

BuildRequires: geronimo-ejb-2.1-api
BuildRequires: geronimo-parent-poms
BuildRequires: jpackage-utils
BuildRequires: maven-local
BuildRequires: mx4j

Requires:      geronimo-ejb-2.1-api
Requires:      jpackage-utils
Requires:      mx4j
BuildArch:     noarch

%description
Geronimo J2EE Management 1.0 API.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
Geronimo J2EE Management 1.0 API

This package contains javadoc for %{name}.

%prep
%setup -q -n %{pkg_name}-%{version}

for d in LICENSE.txt NOTICE.txt ; do
  iconv -f iso8859-1 -t utf-8 $d > $d.conv && mv -f $d.conv $d
  sed -i 's/\r//' $d
done

%build
mvn-rpmbuild -Dmaven.test.skip=true install javadoc:aggregate

%install
mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_mavenpomdir}

install -m 644 target/%{pkg_name}-%{version}.jar \
  %{buildroot}%{_javadir}/geronimo-j2ee-management-%{api_version}-api.jar

install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-geronimo-j2ee-management-%{api_version}-api.pom
%add_maven_depmap JPP-geronimo-j2ee-management-%{api_version}-api.pom geronimo-j2ee-management-%{api_version}-api.jar

mkdir -p %{buildroot}%{_javadocdir}/geronimo-j2ee-management-%{api_version}-api
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/geronimo-j2ee-management-%{api_version}-api

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/geronimo-j2ee-management-1.0-api.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt NOTICE.txt

%files javadoc
%{_javadocdir}/geronimo-j2ee-management-%{api_version}-api



%changelog
* Fri Oct 18 2013 luigiwalser <luigiwalser> 1.1-4.mga4
+ Revision: 516115
- BR maven-local for mvn-rpmbuild

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 dmorgan <dmorgan> 1.1-2.mga3
+ Revision: 356480
- Build with maven 3

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 06 2011 dmorgan <dmorgan> 1.1-1.mga2
+ Revision: 139085
- Adapt to mageia guidelines

  + gil <gil>
    - imported package geronimo-j2ee-management-1.0-api


* Thu Jul 21 2011 gil <gil> 1.1-0.%%mkrel
- initial rpm